changeset 745:7320922b694e

8011342: hgforest.sh : 'python --version' not supported on older python Reviewed-by: wetmore
author mduigou
date Tue, 02 Apr 2013 14:56:19 -0700
parents bcbdbcfe7ed8
children 575f2ca947ab
files common/bin/hgforest.sh
diffstat 1 files changed, 1 insertions(+), 1 deletions(-) [+]
line wrap: on
line diff
--- a/common/bin/hgforest.sh	Tue Apr 02 11:55:09 2013 -0700
+++ b/common/bin/hgforest.sh	Tue Apr 02 14:56:19 2013 -0700
@@ -51,7 +51,7 @@
    bpython="`basename "$python"`"
 fi
 
-if [ -x "$python" -a ! -d "$python" -a  "`${python} --version 2>&1 | cut -f 1 -d " "`" == "Python" ] ; then
+if [ -x "$python" -a ! -d "$python" -a  "`${python} -V 2>&1 | cut -f 1 -d " "`" == "Python" ] ; then
   hg="${python} -u ${whichhg}"
 else
   echo Cannot find python from hg launcher. Running plain hg, which probably has buffered stdout.